Opened 9 years ago

Closed 4 years ago

#31645 closed defect (duplicate)

Upgrade of gnucash+no_x11 fails

Reported by: Thuuulom@… Owned by: macports-tickets@…
Priority: Normal Milestone:
Component: ports Version: 2.0.3
Keywords: Cc: drkp (Dan Ports), dbevans (David B. Evans), mkae (Marko Käning)
Port: gnucash

Description (last modified by ryandesign (Ryan Schmidt))

Running port upgrade outdated fails on gnucash because it is looking for x11 related libraries. I believe this is caused by two ports: gnome-keyring and gwenhywfar4-gtk, neither of which provide no_x11 variants. Both of them show x11 related libraries as dependecies:

/opt/local/lib/libgcr.la:dependency_libs=' -R/opt/local/lib -L/opt/local/lib /opt/local/lib/libgp11.la /opt/local/lib/libgcrypt.la /opt/local/lib/libgpg-error.la /opt/local/lib/libtasn1.la /opt/local/lib/libgtk-x11-2.0.la /opt/local/lib/libgdk-x11-2.0.la /opt/local/lib/libatk-1.0.la /opt/local/lib/libpangocairo-1.0.la /opt/local/lib/libXinerama.la /opt/local/lib/libXi.la /opt/local/lib/libXrandr.la /opt/local/lib/libXext.la /opt/local/lib/libXcursor.la /opt/local/lib/libXcomposite.la /opt/local/lib/libXdamage.la /opt/local/lib/libgdk_pixbuf-2.0.la /opt/local/lib/libpangoft2-1.0.la /opt/local/lib/libgio-2.0.la /opt/local/lib/libXfixes.la /opt/local/lib/libcairo.la /opt/local/lib/libpixman-1.la -lpthread /opt/local/lib/libxcb-shm.la /opt/local/lib/libX11-xcb.la /opt/local/lib/libxcb-render.la /opt/local/lib/libXrender.la /opt/local/lib/libX11.la /opt/local/lib/libxcb.la /opt/local/lib/libXau.la /opt/local/lib/libXdmcp.la /opt/local/lib/libpng14.la /opt/local/lib/libpango-1.0.la -lm /opt/local/lib/libfontconfig.la /opt/local/lib/libfreetype.la -lz -lbz2 /opt/local/lib/libexpat.la /opt/local/lib/libgobject-2.0.la /opt/local/lib/libgmodule-2.0.la /opt/local/lib/libgthread-2.0.la /opt/local/lib/libglib-2.0.la -lresolv /opt/local/lib/libintl.la /opt/local/lib/libiconv.la -lc'

and

/opt/local/lib/libgwengui-gtk2.la:dependency_libs=' -R/opt/local/lib -L/opt/local/lib /opt/local/lib/libgtk-x11-2.0.la /opt/local/lib/libgdk-x11-2.0.la /opt/local/lib/libatk-1.0.la /opt/local/lib/libpangocairo-1.0.la /opt/local/lib/libXinerama.la /opt/local/lib/libXi.la /opt/local/lib/libXrandr.la /opt/local/lib/libXext.la /opt/local/lib/libXcursor.la /opt/local/lib/libXcomposite.la /opt/local/lib/libXdamage.la /opt/local/lib/libgdk_pixbuf-2.0.la /opt/local/lib/libpangoft2-1.0.la /opt/local/lib/libgio-2.0.la /opt/local/lib/libXfixes.la /opt/local/lib/libcairo.la /opt/local/lib/libpixman-1.la -lpthread /opt/local/lib/libxcb-shm.la /opt/local/lib/libX11-xcb.la /opt/local/lib/libxcb-render.la /opt/local/lib/libXrender.la /opt/local/lib/libX11.la /opt/local/lib/libxcb.la /opt/local/lib/libXau.la /opt/local/lib/libXdmcp.la /opt/local/lib/libpng14.la /opt/local/lib/libpango-1.0.la -lm /opt/local/lib/libfontconfig.la /opt/local/lib/libfreetype.la -lbz2 /opt/local/lib/libexpat.la /opt/local/lib/libgobject-2.0.la /opt/local/lib/libgmodule-2.0.la /opt/local/lib/libgthread-2.0.la /opt/local/lib/libglib-2.0.la -lresolv /opt/local/lib/libgwenhywfar.la /opt/local/lib/libgnutls.la /opt/local/lib/libtasn1.la -lz /opt/local/lib/libgcrypt.la /opt/local/lib/libgpg-error.la /opt/local/lib/libintl.la /opt/local/lib/libiconv.la -lc'

My /opt/local/etc/macports/variants.conf contains

+no_static
+no_x11
-x11
+quartz

and gnucash was the first thing I installed with macports.

Change History (7)

comment:1 Changed 9 years ago by ryandesign (Ryan Schmidt)

Cc: dports@… added
Description: modified (diff)
Port: gnucash added

comment:2 Changed 9 years ago by nerdling (Jeremy Lavergne)

Cc: devans@… mk@… added

Adding devs of gnome-keyring and gwenhywfar4-gtk.

comment:3 Changed 9 years ago by nerdling (Jeremy Lavergne)

+quartz is preferred over +no_x11 notation.

Adding the variant allows MacPorts to differentiate the result of building these packages when the dependencies are built with the requested variants.

comment:4 Changed 9 years ago by Thuuulom@…

As a workaround, issuing

sudo port -f uninstall gnome-keyring gwenhywfar4-gtk sudo port -s install gnome-keyring gwenhywfar4-gtk sudo port upgrade gnucash

Results in a successful upgrade. Thanks to snc for his help on #macports.

comment:5 Changed 9 years ago by Thuuulom@…

Of course what I meant was

sudo port -f uninstall gnome-keyring gwenhywfar4-gtk

sudo port -s install gnome-keyring gwenhywfar4-gtk

sudo port upgrade gnucash

comment:6 Changed 9 years ago by drkp (Dan Ports)

Yeah, this is the same issue as #31303. I guess we've now found another couple ports affected by this; there are surely more.

comment:7 Changed 4 years ago by mf2k (Frank Schima)

Resolution: duplicate
Status: newclosed
Note: See TracTickets for help on using tickets.